dpkg-buildtree(1)

NAME
dpkg-buildtree - helper for build tree operations during package builds

SYNOPSIS
dpkg-buildtree [option...] [command]

DESCRIPTION
dpkg-buildtree is a tool to perform common operations on the build tree for a source package.

This program was introduced in dpkg 1.22.3.

COMMANDS

clean
    Removes all artifacts generated during a build by the various dpkg tools, and pathnames used or controlled by dpkg tools that are safe to clean. These files are used to track state between package build runs, and are in many cases internal implementation details the packager should not be concerned about, or are staging directories containing build artifacts.

--help
    Show the usage message and exit.

--version
    Show the version and exit.

FILES

  Cleaned files

debian/files
debian/files.new
    Files generated by dpkg-distaddfile(1).

debian/substvars
debian/substvars.new
    Files generated by dpkg-shlibdeps(1).

debian/tmp
    Staging directory containing the contents to be used when creating a package. Both dpkg-gencontrol(1) and dpkg-gensymbols(1) generate files within.

EXAMPLES

  Usage in debian/rules
You can call dpkg-buildtree clean from the debian/rules clean target, after having performed other necessary cleanups.

For example for an autoconf-like build system:

  clean:
        [ ! -f Makefile ] || $(MAKE) distclean
        dpkg-buildtree clean